Subject: Re: linux-next: manual merge of the ti tree with the imx-mxs tree

From: Nishanth Menon <[email-masked]>
Date: Wed, 2 Aug 2023 22:01:54 -0500

On 09:22-20230803, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the ti tree got a conflict in:
> 
>   arch/arm64/configs/defconfig
> 
> between commit:
> 
>   b940e6846cf7 ("arm64: defconfig: select IMX_REMOTEPROC and RPMSG_VIRTIO")
> 
> from the imx-mxs tree and commit:
> 
>   8127ab5fbaee ("arm64: defconfig: Enable various configs for TI K3 platforms")
> 
> from the ti tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thank you, Stephen. I had suspected something of the sort would happen
as I picked the patch up, I will let Arnd know as well on this incoming
as part of PR.

> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc arch/arm64/configs/defconfig
> index 03fce1752521,700d5571f12b..000000000000
> --- a/arch/arm64/configs/defconfig
> +++ b/arch/arm64/configs/defconfig
> @@@ -938,8 -929,8 +943,9 @@@ CONFIG_SND_SOC_GTM601=
>   CONFIG_SND_SOC_MSM8916_WCD_ANALOG=m
>   CONFIG_SND_SOC_MSM8916_WCD_DIGITAL=m
>   CONFIG_SND_SOC_PCM3168A_I2C=m
>  +CONFIG_SND_SOC_RK817=m
>   CONFIG_SND_SOC_RT5640=m
> + CONFIG_SND_SOC_J721E_EVM=m
>   CONFIG_SND_SOC_RT5659=m
>   CONFIG_SND_SOC_SIMPLE_AMPLIFIER=m
>   CONFIG_SND_SOC_SIMPLE_MUX=m
> @@@ -1255,7 -1246,8 +1265,9 @@@ CONFIG_ARM_SMMU_V3=
>   CONFIG_MTK_IOMMU=y
>   CONFIG_QCOM_IOMMU=y
>   CONFIG_REMOTEPROC=y
>  +CONFIG_IMX_REMOTEPROC=y
> + CONFIG_TI_K3_R5_REMOTEPROC=m
> + CONFIG_TI_K3_DSP_REMOTEPROC=m
>   CONFIG_MTK_SCP=m
>   CONFIG_QCOM_Q6V5_ADSP=m
>   CONFIG_QCOM_Q6V5_MSS=m

-- 
Regards,
Nishanth Menon
Key (0xDDB5849D1736249D) / Fingerprint: F8A2 8693 54EB 8232 17A3  1A34 DDB5 849D 1736 249D